Skip to content

API Reference

Add new transaction check(s)

POST /v2/transaction_check https://api.cable.tech

Authentication

  • Bearer token in the Authorization header transaction_check:write

Request body

application/json list of objects

Transaction check data to add.

  • check_id string required

    Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.

  • is_test boolean

    Set to true if this is a test transaction check

    Default false

  • status string required

    Transaction check status. Required when creating new transaction checks, optional for updates.

    Allowed values PENDINGCOMPLETEDREQUESTEDASSIGNEDFAILED

  • type string required

    The type of monitoring check that is being performed. Required when creating new transaction checks, optional for updates.

    Allowed values INLINE_MONITORINGDELAYED_MONITORING

  • related_tx_id string deprecated

    Unique identifier for the transaction which the check is related to.

  • related_tx_ids list of strings

    Unique identifiers for transactions which the check relates to.

  • timestamp string required

    When this transaction check was performed in your system, in ISO 8601 format.

    Format date-time

Responses

201 Transaction check added successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid transaction check data
  • 401 Unauthorized request
  • 409 Transaction check already exists
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401409429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string